org.apache.maven.scm.provider.cvslib.cvsexe.command.blame

## Class CvsExeBlameCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.blame.AbstractBlameCommand
    - - org.apache.maven.scm.provider.cvslib.command.blame.AbstractCvsBlameCommand
      - - org.apache.maven.scm.provider.cvslib.cvsexe.command.blame.CvsExeBlameCommand

All Implemented Interfaces:
  Command, CvsCommand

    public class CvsExeBlameCommand
    extends AbstractCvsBlameCommand

Since:
  1.4
Author:
  Evgeny Mandrikov

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`CvsExeBlameCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected BlameScmResult` `executeCvsCommand(org.codehaus.plexus.util.cli.Commandline cl, CvsScmProviderRepository repository)`

### Methods inherited from class org.apache.maven.scm.provider.cvslib.command.blame.AbstractCvsBlameCommand

`executeBlameCommand`

### Methods inherited from class org.apache.maven.scm.command.blame.AbstractBlameCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### CvsExeBlameCommand

    public CvsExeBlameCommand()

### Method Detail

#### executeCvsCommand

    protected BlameScmResult executeCvsCommand(org.codehaus.plexus.util.cli.Commandline cl,
                                               CvsScmProviderRepository repository)
                                        throws ScmException

Specified by:
  `executeCvsCommand` in class `AbstractCvsBlameCommand`
Throws:
  `ScmException`